Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class PMDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sourceforge.pmd.PMDException

All Implemented Interfaces:
  java.io.Serializable

    public class PMDException

extends java.lang.Exception

A convenience exception wrapper. Contains the original exception, if any. Also, contains a severity number (int). Zero implies no severity. The higher the number the greater the severity.

Since:
  August 30, 2002
Version:
  $Revision: 5681 $, $Date: 2007-11-30 14:00:56 -0800 (Fri, 30 Nov 2007) $
Author:
  Donald A. Leckie
See Also:
  Serialized Form

Constructor Summary
`PMDException(java.lang.String message)`
`PMDException(java.lang.String message, java.lang.Exception reason)`

Method Summary
`java.lang.Exception` | `getReason()` Deprecated. use `Throwable.getCause()` instead
`int` | `getSeverity()`
`void` | `setSeverity(int severity)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PMDException

    public PMDException(java.lang.String message)

### PMDException

    public PMDException(java.lang.String message,
                        java.lang.Exception reason)

Method Detail

### getReason

    @Deprecated
    public java.lang.Exception getReason()

  Deprecated. use `Throwable.getCause()` instead

  Returns the cause of this exception or `null`

  Returns:
    the cause of this exception or `null`

### setSeverity

    public void setSeverity(int severity)

### getSeverity

    public int getSeverity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.